class SnowHitEmitter extends WoEHitEmitter;

defaultproperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        DetailMode=DM_High
        UseCollision=True
        FadeOut=True
        RespawnDeadParticles=False
        UniformSize=True
        AutomaticInitialSpawning=False
        UseRandomSubdivision=True
        Acceleration=(Z=-200.000000)
        DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
        FadeOutStartTime=1.000000
        MaxParticles=15
        StartSizeRange=(X=(Min=3.000000,Max=1.000000))
        InitialParticlesPerSecond=200.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'VMParticleTextures.DirtKICKGROUP.snowKICKTEX'
        TextureUSubdivisions=16
        TextureVSubdivisions=16
        LifetimeRange=(Min=2.000000)
        StartVelocityRange=(X=(Min=100.000000,Max=200.000000),Y=(Min=-60.000000,Max=60.000000),Z=(Min=-60.000000,Max=60.000000))
        MaxAbsVelocity=(Z=200.000000)
    End Object
    Emitters(0)=SpriteEmitter'SpriteEmitter0'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter1
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        Acceleration=(Z=15.000000)
        ColorMultiplierRange=(X=(Min=0.250000,Max=0.300000),Y=(Min=0.250000,Max=0.300000),Z=(Min=0.2500000,Max=0.300000))
        FadeOutStartTime=0.500000
        FadeInEndTime=0.100000
        MaxParticles=3
        SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
        StartSpinRange=(X=(Max=1.000000))
        SizeScale(0)=(RelativeSize=0.300000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
        StartSizeRange=(X=(Min=20.000000,Max=40.000000))
        InitialParticlesPerSecond=5.000000
        DrawStyle=PTDS_Brighten
        Texture=Texture'XEffects.EmitSmoke_t'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        UseRandomSubdivision=True
        LifetimeRange=(Min=1.000000,Max=1.500000)
        StartVelocityRange=(X=(Min=-8.000000,Max=8.000000),Y=(Min=-8.000000,Max=8.000000))
    End Object
    Emitters(1)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=Sound'WoE_Effects_Sounds.SnowHit1'
	ImpactSounds(1)=Sound'WoE_Effects_Sounds.SnowHit2'
	ImpactSounds(2)=Sound'WoE_Effects_Sounds.SnowHit3'
	ImpactSounds(3)=Sound'WoE_Effects_Sounds.SnowHit4'
	ImpactSounds(4)=Sound'WoE_Effects_Sounds.SnowHit5'
}