class WaterHitEmitter extends WoEHitEmitter;

defaultproperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        FadeOut=True
        RespawnDeadParticles=False
        SpinParticles=True
        UniformSize=True
        AutomaticInitialSpawning=False
        BlendBetweenSubdivisions=True
        Acceleration=(Z=-200.000000)
        ColorMultiplierRange=(X=(Min=0.200000,Max=0.200000),Y=(Min=0.250000,Max=0.250000),Z=(Min=0.300000,Max=0.300000))
        FadeOutStartTime=0.500000
        MaxParticles=20
        StartSpinRange=(X=(Min=10000.000000,Max=10000.000000))
        StartSizeRange=(X=(Min=5.000000,Max=10.000000))
        InitialParticlesPerSecond=1000.000000
        DrawStyle=PTDS_Brighten
        Texture=Texture'EmitterTextures.MultiFrame.MistTexture'
        TextureUSubdivisions=2
        TextureVSubdivisions=2
        LifetimeRange=(Min=2.000000,Max=3.000000)
        StartVelocityRange=(X=(Min=50.000000,Max=100.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
    End Object
    Emitters(0)=SpriteEmitter'SpriteEmitter0'

	ImpactSounds(0)=Sound'GeneralImpacts.ImpactSplash1'
	ImpactSounds(1)=Sound'GeneralImpacts.ImpactSplash2'
	ImpactSounds(2)=Sound'GeneralImpacts.WaterExit'
	ImpactSounds(3)=Sound'PlayerSounds.BFootstepWater1'
	ImpactSounds(4)=Sound'PlayerSounds.FootstepWater1'
	ImpactSounds(5)=Sound'PlayerSounds.FootstepWater2'
}